package poaimplbase;

import ImplBaseModell.*;
import org.omg.CosNaming.*;
import org.omg.CosNaming.NamingContextPackage.*;
import org.omg.CORBA.*;
import org.omg.PortableServer.*;
import org.omg.PortableServer.POA;

import java.util.Properties;

/**
 * Title:        Verebungbasiertes CORBA Modell
 * Description:  ImplBase basiertes CORBA Beispiel
 * Copyright:    Copyright (c) J.M.Joller
 * Company:      Joller-Voss
 * @author J.M.Joller
 * @version 1.0
 */

public class ImplBaseServant extends _HalloImplBase {
    private ORB orb;

    // angepasst fr Delegationsmodell
    public void setORB( org.omg.CORBA.ORB orb_val) {
        System.out.println("[ImplBaseServant]setORB()");
        this.orb = orb_val;
        //System.out.println("[ImplBaseServant]Konstruktor(orb)");
    }

    /**
     *  wieGehts() Methode implementiert eine einfache Antwort auf eine Anfrage
     */
    public String wieGehts( ) {
        System.out.println("[ImplBaseServant]wieGehts()");
        return "Mir geht's gut! Wie geht's Dir?...";
    }

    /**
     *  shutdown() Methode zum Herunterfahern des ORBs
     */
    public void shutdown( ) {
        System.out.println("[ImplBaseServant]shutdown()");
        orb.shutdown( false );
    }
}

