import DelegationsModell.*;
import org.omg.CosNaming.*;
import org.omg.CosNaming.NamingContextPackage.*;
import org.omg.CORBA.*;
import org.omg.PortableServer.*;
import org.omg.PortableServer.POA;

import java.util.Properties;

/**
 * Title:        Tie / Delegations-Modell
 * Description:  Beispiel fr den Einsatz des Delegationsmodells
 * mit POA
 * Copyright:    Copyright (c) J.M.Joller
 * Company:      Joller-Voss
 * @author J.M.Joller
 * @version 1.0
 */

public class DelegationsServantImpl extends HalloPOA{
    private ORB orb;

    // angepasst fr Delegationsmodell
    public void setORB( org.omg.CORBA.ORB orb_val) {
        System.out.println("[DelegationsServant]setORB()");
        this.orb = orb_val;
        //System.out.println("[PersistenterServant]Konstruktor(orb)");
    }

    /**
     *  wieGehts() Methode implementiert eine einfache Antwort auf eine Anfrage
     */
    public String wieGehts( ) {
        System.out.println("[DelegationsServant]wieGehts()");
        return "Mir geht's gut! Wie geht's Dir?...";
    }

    /**
     *  shutdown() Methode zum Herunterfahern des ORBs
     */
    public void shutdown( ) {
        System.out.println("[DelegationsServant]shutdown()");
        orb.shutdown( false );
    }
}

