package rmioveriiopohnepoa;

/**
 * Hier wird der POA bereits vorbereitet! Bedingt JDK1.4+
 */
import javax.rmi.PortableRemoteObject;

/**
 * Title:        RMI over IIOP
 * Description:  einfaches Beispiel fr den Einsatz von RMI over IIOP im JDK1.4
 * Copyright:    Copyright (c) J.M.Joller
 * Company:      Joller-Voss
 * @author J.M.Joller
 * @version 1.0
 */

public class Servant extends PortableRemoteObject implements Interface {

  public Servant() throws java.rmi.RemoteException {
  /**
   * mit super() wird das RMI Linking und
   * die RMI Objektserialisierung ermglicht
   */
    super();
  }

  public String wieGehts(String frage) throws java.rmi.RemoteException {
    System.out.println("[Servant]wieGehts()");
    return "Mir geht's gut!\nDanke fuer Deine Frage : "+frage;
  }
}
